Package: org.codehaus.groovy.runtime

## [Java] Class GroovyCategorySupport.ThreadCategoryInfo

- org.codehaus.groovy.runtime.GroovyCategorySupport.ThreadCategoryInfo

-     public static class GroovyCategorySupport.ThreadCategoryInfo
      extends HashMap

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public CategoryMethodList` | `getCategoryMethods(String name)`
    `<T>` | `public T` | `use(List<Class> categoryClasses, Closure<T> closure)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class HashMap` | `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getClass, getOrDefault, hashCode, isEmpty, keySet, merge, notify, notifyAll, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, toString, values, wait, wait, wait`

- - ### Method Detail

    - #### public CategoryMethodList getCategoryMethods(String name)

    - #### <T> public T use(List<Class> categoryClasses, Closure<T> closure)